> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.checkstate.md).

# CheckState

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the state of a control, such as a check box, that can be checked, unchecked, or set to an indeterminate state.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum CheckState : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum CheckState As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name              | Description             |
| ----------------- | ----------------------- |
| **Checked**       | The control is checked. |
| **Indeterminate** | Indeterminate state.    |
| **Unchecked**     | Unchecked state.        |

## Used By

| Name                                                                                                                                    | Description                                                                                                 |
| --------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------- |
| [CheckBox.CheckState](/api/wisej.web/buttons/wisej.web.checkbox.md#checkstate)                                                          | Returns or sets the state of the [CheckBox](/api/wisej.web/buttons/wisej.web.checkbox.md).                  |
| [CheckedListBox.GetItemCheckState](/api/wisej.web/lists-and-grids/checkedlistbox.md#getitemcheckstate-index)                            | Returns a value indicating the check state of the current item.                                             |
| [TreeNode.CheckState](/api/wisej.web/lists-and-grids/treeview/wisej.web.treenode.md#checkstate)                                         | Returns or sets the checked state of the tree node.                                                         |
| [ItemCheckEventArgs.CurrentValue](/api/wisej.web/lists-and-grids/checkedlistbox/wisej.web.itemcheckeventargs.md#currentvalue)           | Returns a value indicating the current state of the item's check box.                                       |
| [ItemCheckEventArgs.NewValue](/api/wisej.web/lists-and-grids/checkedlistbox/wisej.web.itemcheckeventargs.md#newvalue)                   | Returns or sets whether to set the check box for the item to be checked, unchecked, or indeterminate.       |
| [ObjectCollection.Add](/api/wisej.web/lists-and-grids/checkedlistbox/wisej.web.checkedlistbox.objectcollection.md#add-item)             | Adds an item to the list of items for a [CheckedListBox](/api/wisej.web/lists-and-grids/checkedlistbox.md). |
| [ObjectCollection.Insert](/api/wisej.web/lists-and-grids/checkedlistbox/wisej.web.checkedlistbox.objectcollection.md#insert-index-item) | Inserts an item into the collection at the specified index.                                                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.checkstate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
